(***********************************************************************)
(*                                                                     *)
(*                           Objective Caml                            *)
(*                                                                     *)
(*            Jun Furuse, projet Cristal, INRIA Rocquencourt           *)
(*                                                                     *)
(*  Copyright 1999,2000,2001,2002,2001,2002                            *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  Distributed only by permission.                                    *)
(*                                                                     *)
(***********************************************************************)
open Gdk
open GDraw
open GMain

let _ = GtkMain.Main.init ()

let window = GWindow.window ~title: "gifanim"
    ~auto_shrink: true 
    ~allow_shrink: true 
    ~allow_grow: true ()

let _ = window#connect#destroy ~callback:Main.quit;;

let visual = window#misc#visual
let quick_color_create = Truecolor.color_creator visual
let quick_color_parser = Truecolor.color_parser visual

let colormap = Gdk.Color.get_system_colormap ()
